Package virtuoso.jdbc4

## Class VirtuosoFNSException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException
        - - java.sql.SQLFeatureNotSupportedException
          - - virtuoso.jdbc4.VirtuosoFNSException

    public class VirtuosoFNSException
    extends java.sql.SQLFeatureNotSupportedException

This class is an SQLException that has special constructors for messages directly from Virtuoso.

All classes can thrown a such exception.

See Also:
  `SQLException`, Serialized Form

### Constructor Summary

Constructors
`VirtuosoFNSException​(java.lang.Exception e, int vendor)` Constructs a VirtuosoException based on some odd exception.
`VirtuosoFNSException​(java.lang.String data, int vendor)` Constructs a VirtuosoException based on an error occurred from Virtuoso.
`VirtuosoFNSException​(java.lang.String data, java.lang.String sqlstate, int vendor)` Constructs a VirtuosoException based on an error occurred from Virtuoso and an SQL state.

### Method Summary

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### VirtuosoFNSException

    public VirtuosoFNSException​(java.lang.String data,
                                int vendor)

Constructs a VirtuosoException based on an error occurred from Virtuoso.

Parameters:
  `data` - The error message.
  `vendor` - The error code vendor.

#### VirtuosoFNSException

    public VirtuosoFNSException​(java.lang.String data,
                                java.lang.String sqlstate,
                                int vendor)

Constructs a VirtuosoException based on an error occurred from Virtuoso and an SQL state.

Parameters:
  `data` - The error message.
  `sqlstate` - The SQL state of the error.
  `vendor` - The error code vendor.

#### VirtuosoFNSException

    public VirtuosoFNSException​(java.lang.Exception e,
                                int vendor)

Constructs a VirtuosoException based on some odd exception.

Parameters:
  `e` - The exception that caused this to be thrown.
  `vendor` - The error code vendor.